define([
  "jquery",
  'ko',
  'Magento_Checkout/js/model/quote',
  'Magento_Checkout/js/model/shipping-rate-processor/new-address',
  'Magento_Checkout/js/model/shipping-rate-processor/customer-address',
  'Magento_Checkout/js/model/shipping-rate-registry'
], function($, ko, quote, defaultProcessor, customerAddressProcessor, rateRegistry){
  "use strict";

  setTimeout(function(){
    if ($(document).find('input[type=radio][value=fattorinoit_fattorinoit]').is(':checked')) {
      $("#fattorinoit_block").show()
    } else {
      $("#fattorinoit_block").hide()
    }
  },1200)

  setInterval(function(){
    $(document).find('#checkout-step-shipping_method input[type=radio]').change(function(){
      var processors = [];
      rateRegistry.set(quote.shippingAddress().getCacheKey(), null);
      processors.default =  defaultProcessor;
      processors['customer-address'] = customerAddressProcessor;

      var type = quote.shippingAddress().getType();
      if (processors[type]) {
        processors[type].getRates(quote.shippingAddress());
      } else {
        processors.default.getRates(quote.shippingAddress());
      }

      if ($(this).val() == 'fattorinoit_fattorinoit') {
        $("#fattorinoit_block").show()
      } else {
        $("#fattorinoit_block").hide()
      }
    })
    $(document).off("change", "#checkout-step-shipping_method input[type=radio]");
  }, 600);
}
)
